import { loginConfirm, registerConfirm } from "./register.js";

// handle key presses (close/confirm)
document.addEventListener("keydown", async function(event) {
        if (event.isComposing || event.key === 'Escape') {
            Array.from(document.getElementsByClassName("popup")).forEach(function(x) {
                x.style.display = 'none';
            });
            document.getElementById("registerPopupText").innerText = "";
        } else if (event.key === 'Enter') {
            if (registerPopup.style.display == 'flex') {
                await registerConfirm();
            } else if (loginPopup.style.display == 'flex') {
                await loginConfirm();
            }
        }
});

// register popup
document.getElementById("register").addEventListener("click", function () {
    registerPopup.style.display = 'flex';
});
// cancel
document.getElementById("registercancel").addEventListener("click", function () {
    registerPopup.style.display = 'none';
    document.getElementById("registerPopupText").innerText = "";
});
// confirm
document.getElementById("registerconfirm").addEventListener("click", async () => {
  await registerConfirm();
});

//login popup
document.getElementById("login").addEventListener("click", function () {
    loginPopup.style.display = 'flex';
});
// cancel
document.getElementById("logincancel").addEventListener("click", function () {
    loginPopup.style.display = 'none';
});
// confirm
document.getElementById("loginconfirm").addEventListener("click", async () => {
  await loginConfirm();
});




