document.getElementById("copyPubKey").addEventListener("click", function () {
    copyPubKey();
});

function copyPubKey() {
    const pubKeyInput = document.getElementById('pubkey');
    navigator.clipboard.writeText(pubKeyInput.value)
    .then(() => {
        const btn = document.getElementById('copyPubKey');
        btn.textContent = 'Copied!';
        setTimeout(() => btn.textContent = 'Copy', 2000);
    })
    .catch(err => {
        console.error('Failed to copy:', err);
    });
}
