// register privkey text div creation
export function add_div_register_text(text) {
    const tooltip = document.createElement('span');
    tooltip.id = 'registerTooltip'
    tooltip.classList.add('tooltip');
    tooltip.textContent = 'Click to copy';

    const copyText = document.createElement('span');
    copyText.classList.add('copy-text');
    copyText.textContent = text;


    const copyContainer = document.createElement('div');
    copyContainer.classList.add('copy-container');
    copyContainer.onclick = function() {
        const tooltip = document.getElementById('registerTooltip');
        navigator.clipboard.writeText(copyText.textContent);
        tooltip.textContent = "Copied!";
        setTimeout(() => {
            tooltip.textContent = "Click to copy";
        }, 2000);
    };
    copyContainer.onmouseover = function() {
        const tooltip = document.getElementById('registerTooltip');
        tooltipText(tooltip);
    };
    copyContainer.onmouseout = function() {
        const tooltip = document.getElementById('registerTooltip');
        tooltipText(tooltip);
    };

    copyContainer.appendChild(tooltip);
    copyContainer.appendChild(copyText);

    const registerPopupText = document.getElementById('registerPopupText');
    registerPopupText.innerText = '';
    registerPopupText.appendChild(copyContainer);
}

function tooltipText(tooltip) {
    tooltip.textContent = "Click to copy";
}
