const express = require("express");
const rootRoutes = require('./root');
const accountRoutes = require('./account.js');
const chatRoutes = require('./chat.js');
const router = express.Router();

router.use("/", rootRoutes);
router.use("/account", accountRoutes);
router.use("/chat", chatRoutes);

module.exports = router;
